<id>
YaBB Zodiac 2.2.3
</id>

<version>
1.1 beta
</version>

<mod info>
This mod shows the zodiac sign in the users profile (both in view profile as text as in the thread as an icon) if the birth date is filled out.

Installation
Apply the mod, upload the changed Load.pl, Display.pl, Profile.pl, display.template
Upload the new Zodiac.pl into /Sources and chmod equal to the other pl files
Upload Zodiac.lng in the correct language dirs (english and dutch supplied)
Upload the dir holding the zodiac gif icons including the dir into public_html/yabbfiles/ModImages

Testing
Go to any user with a filled out birth date and the zodiac sign should be shown as text in the profile view.
Go to any thread where users have their birth date filled out and the zodiac sign should be visible as icon (with a alt/title tag having the text version)

Version History
1.0 - First release(2.1)

1.0a - Fixed residual zodiac signs in thread posts if a user does not have a birthdate filled out. (2.1)

1.0 - First release (2.2.3)

1.1 - Corrected dtaes (2.2.3)
</mod info>

<author>
Original code by Spikecity / Updated by Derek Barnstorm
</author>

<homepage>
http://www.yabbforum.com
</homepage>


<edit file>
Sources/Load.pl
</edit file>

<search for>
	# Censor it
	${$uid.$user}{'signature'} = &Censor(${$uid.$user}{'signature'});
	${$uid.$user}{'usertext'}  = &Censor(${$uid.$user}{'usertext'});
</search for>

<add after>

	require "$sourcedir/Zodiac.pl";
	${$uid.$user}{'zodiac'} = &get_zodiac(${$uid.$user}{'bday'});
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb zodiac(}|>)/${$uid.$musername}{'zodiac'}/g;
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if ($age) {
</search for>

<add after>
	    require "$sourcedir/Zodiac.pl";
		$memberzodiac = &get_zodiac(${$uid.$user}{'bday'}, "text");
</add after>

<search for>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$age &nbsp; $isbday
		</div>
</search for>

<add after>
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
		<b>$zodiactxt{'sign'}:</b>
		</div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$memberzodiac
		</div>
</add after>


<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
		{yabb zodiac}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb zodiac>
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_zodiac = "YaBB Zodiac 1.1 beta|Ron (Spikecity) - Original code, Derek Barnstorm - Updated for 2.2.3|Shows members zodiac sign|V1.1 beta|July 28th 2008";
	push (@installed_mods, "$mod_zodiac");
</add before>
